<?php
/**   
* @version		1.0.0
* @package		Contented PDF
* @copyright	Copyright 2013 Netamity, All rights reserved
* @author		Andy Hickey - http://www.netamity.com - andrew@netamity.com
* @license     GNU General Public License version 2 or later;
*/

// no direct access
defined( '_JEXEC' ) or die;

jimport( 'joomla.plugin.plugin' );
$jinput = JFactory::getApplication()->input;
$iniview = $jinput->get('view');
$inilayout = $jinput->get('layout');


/**
 * contented_pdf Content Plugin 
 	- Add the 'Add To Basket' Link on each featured content
 */
class plgContentContented_pdf extends JPlugin
{

	/**
	 * Constructor
	 * @param object $subject The object to observe
	 * @param object $params  The object that holds the plugin parameters
	 * @since 1.5
	 */
	 


	public function __construct(& $subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}
	
	public function getCType()
	{
		$app = JFactory::getApplication('site');
		$params = &JComponentHelper::getParams('com_contented_pdf');
		$which = $params->get('data.params.contentork2');
		return $which;
	}

#################################### K2 ##################################################	
		public function onK2AfterDisplayTitle( &$item, &$params, $limitstart) {
		
		if($this->getCType() == 1)
		 return '';		
		
		if (!$this->params->get( 'showabove')) 
		 return '';
		
		$db = JFactory::getDBO();
		$id = $item->id;
		$catini = $item->catid;
		
		//print_r($item);
		$jinput = JFactory::getApplication()->input;
		$iniview = $jinput->get('view');
		$inilayout = $jinput->get('layout');
		
		//check whether to display
		if ($iniview == 'item' && $inilayout == 'item' && (!$this->params->get( 'k2_showinitem')))
		{
		 return '';
		}
		
		if ($iniview == 'itemlist' && $inilayout == 'user' && (!$this->params->get( 'k2_showinublog')))
		{
		 return '';
		}
		
		if ($iniview == 'itemlist' && $inilayout == 'category' && (!$this->params->get( 'k2_showincat')))
		{
		 return '';
		}

		$catids = $this->params->get( 'k2_exclude_cats');
		$linktext = $this->params->get( 'link_text');
		$itemids = $this->params->get( 'k2_exclude_ids');

		if($catids)
			$where[] = "catid NOT IN ($catids) ";
		if($itemids)
			$where[] = "id NOT IN ($itemids)";		
		
		$where[] = " id = $id ";
		// Build the where clause for events query
		$where = (count($where) ? ' WHERE '.implode(' AND ', $where) : '');
				
		$query = "SELECT catid FROM #__k2_items $where";
		//echo $query;
		$db->setQuery($query);
		//echo $query;
		$featured = $db->loadResult(); 
		//echo "featured is " . $featured;
		if (!$this->params->get( 'btnimg')) 
			{
			$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=K'.$id.'" >'.JText::_( 'PLG_CONTENTED_PDF_LINKTEXT' ).'</a></div>';
			}
			else
			{
				if(JFile::exists(JPATH_SITE.DS.$this->params->get('btnimg'))) 
				{
					$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=K'.$id.'" ><img src="'.$this->params->get('btnimg').'"/></a></div>';
				}
				else
				{
				$addtobasket = 'ContentedPDF- Button image not found';
				}
			}
			
			if($featured)
			{
				return $addtobasket;
			}	
		}
		
		public function onK2AfterDisplayContent( &$item, &$params, $limitstart) {
		
		
		if($this->getCType() == 1)
		 return '';	
		
		if (!$this->params->get( 'showbelow')) 
		 return '';
		
		$db = JFactory::getDBO();
		$id = $item->id;
		$catini = $item->catid;
		//print_r($item);
		$jinput = JFactory::getApplication()->input;
		$iniview = $jinput->get('view');
		$inilayout = $jinput->get('layout');

		//check whether to display
		if ($iniview == 'item' && $inilayout == 'item' && (!$this->params->get( 'k2_showinitem')))
		{
		 return '';
		}
		
		if ($iniview == 'itemlist' && $inilayout == 'user' && (!$this->params->get( 'k2_showinublog')))
		{
		 return '';
		}
		
		if ($iniview == 'itemlist' && $inilayout == 'category' && (!$this->params->get( 'k2_showincat')))
		{
		 return '';
		}		


		$catids = $this->params->get( 'k2_exclude_cats');
		$linktext = $this->params->get( 'link_text');
		$itemids = $this->params->get( 'k2_exclude_ids');

		if($catids)
			$where[] = "catid NOT IN ($catids) ";
		if($itemids)
			$where[] = "id NOT IN ($itemids)";		
		
		$where[] = " id = $id ";
		// Build the where clause for events query
		$where = (count($where) ? ' WHERE '.implode(' AND ', $where) : '');
				
		$query = "SELECT catid FROM #__k2_items $where";
		//echo $query;
		$db->setQuery($query);
		//echo $query;
		$featured = $db->loadResult(); 
		//echo "featured is " . $featured;
				if (!$this->params->get( 'btnimg')) 
			{
			$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=K'.$id.'" >'.JText::_( 'PLG_CONTENTED_PDF_LINKTEXT' ).'</a></div>';
			}
			else
			{
				if(JFile::exists(JPATH_SITE.DS.$this->params->get('btnimg'))) 
				{
					$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=K'.$id.'" ><img src="'.$this->params->get('btnimg').'"/></a></div>';
				}
				else
				{
				$addtobasket = 'ContentedPDF- Button image not found';
				}
			}
			if($featured)
			{
						return $addtobasket;
			}	
		}
		
#################################### COM_CONTENT ##################################################	
		public function onContentBeforeDisplay( $context, &$article, &$params, $limitstart ) {

		
		if($context != 'com_content.article')
		 return '';
		
		//print_r($article);
		if($this->getCType() == 2)
		 return '';		
		
		if (!$this->params->get( 'showabove')) 
		 return '';
		
		$db = JFactory::getDBO();
		$id = $article->id;
		$catini = $article->catid;
		
		//print_r($article);
		$jinput = JFactory::getApplication()->input;
		$iniview = $jinput->get('view');
		$inilayout = $jinput->get('layout');
		
		//check whether to display
		if ($iniview == 'article' && !$this->params->get( 'j_showinitem'))
		{
		 return '';
		}
		
		if ($iniview == 'category' && $inilayout == 'blog' && (!$this->params->get( 'j_showincat')))
		{
		 return '';
		}
		
		if ($iniview == 'featured' && (!$this->params->get( 'j_showinfeat')))
		{
		 return '';
		}
		
		if ($iniview == 'archive' && (!$this->params->get( 'j_showinarch')))
		{
		 return '';
		}

		$catids = $this->params->get( 'j_exclude_cats');
		$linktext = $this->params->get( 'link_text');
		$itemids = $this->params->get( 'j_exclude_ids');

		if($catids)
			$where[] = "catid NOT IN ($catids) ";
		if($itemids)
			$where[] = "id NOT IN ($itemids)";		
		
		$where[] = " id = $id ";
		// Build the where clause for events query
		$where = (count($where) ? ' WHERE '.implode(' AND ', $where) : '');
				
		$query = "SELECT catid FROM #__content $where";
		
		$db->setQuery($query);
		//echo $query;
		$featured = $db->loadResult(); 
		//echo "featured is " . $featured;
			if (!$this->params->get( 'btnimg')) 
			{
			$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=J'.$id.'" >'.JText::_( 'PLG_CONTENTED_PDF_LINKTEXT' ).'</a></div>';
			}
			else
			{
				if(JFile::exists(JPATH_SITE.DS.$this->params->get('btnimg'))) 
				{
					$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=J'.$id.'" ><img src="'.$this->params->get('btnimg').'"/></a></div>';
				}
				else
				{
				$addtobasket = 'ContentedPDF- Button image not found';
				}
			}
			if($featured)
			{
				return $addtobasket;
			}	
		}
		
		public function onContentAfterDisplay( $context, &$article, &$params, $limitstart ) {
		
		if($context != 'com_content.article')
		 return '';
		
		//print_r($article);
		if($this->getCType() == 2)
		 return '';		
		
		if (!$this->params->get( 'showbelow')) 
		 return '';
		
		$db = JFactory::getDBO();
		$id = $article->id;
		$catini = $article->catid;
		
		//print_r($article);
		$jinput = JFactory::getApplication()->input;
		$iniview = $jinput->get('view');
		$inilayout = $jinput->get('layout');
		
		//check whether to display
		if ($iniview == 'article' && !$this->params->get( 'j_showinitem'))
		{
		 return '';
		}
		
		if ($iniview == 'category' && $inilayout == 'blog' && (!$this->params->get( 'j_showincat')))
		{
		 return '';
		}
		
		if ($iniview == 'featured' && (!$this->params->get( 'j_showinfeat')))
		{
		 return '';
		}
		
		if ($iniview == 'archive' && (!$this->params->get( 'j_showinarch')))
		{
		 return '';
		}

		$catids = $this->params->get( 'j_exclude_cats');
		$linktext = $this->params->get( 'link_text');
		$itemids = $this->params->get( 'j_exclude_ids');

		if($catids)
			$where[] = "catid NOT IN ($catids) ";
		if($itemids)
			$where[] = "id NOT IN ($itemids)";		
		
		$where[] = " id = $id ";
		// Build the where clause for events query
		$where = (count($where) ? ' WHERE '.implode(' AND ', $where) : '');
				
		$query = "SELECT catid FROM #__content $where";
		
		$db->setQuery($query);
		//echo $query;
		$featured = $db->loadResult(); 
		//echo "featured is " . $featured;
				if (!$this->params->get( 'btnimg')) 
			{
			$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=J'.$id.'" >'.JText::_( 'PLG_CONTENTED_PDF_LINKTEXT' ).'</a></div>';
			}
			else
			{
				if(JFile::exists(JPATH_SITE.DS.$this->params->get('btnimg'))) 
				{
					$addtobasket = '<div style="text-align:right;"  class="contented_pdf_link_above"><a href="index.php?option=com_contented_pdf&controller=contented_pdf&task=addtocontented_pdf&id=J'.$id.'" ><img src="'.$this->params->get('btnimg').'"/></a></div>';
				}
				else
				{
				$addtobasket = 'ContentedPDF- Button image not found';
				}
			}
			if($featured)
			{
				return $addtobasket;
			}	
		}
		
		
} // end class
